Page MenuHomePhabricator

Switching from source section editing to visual editing says "Discard my changes and switch" without explaining why
Closed, ResolvedPublic8 Estimated Story Points

Description

Switching from source section editing to visual editing says "Discard my changes and switch" without explaining why, and it's confusing because switching from editing a whole article preserves the changes. It would be nice to explain it (if you cannot fix the discarding issue).

Event Timeline

Amire80 created this task.May 26 2016, 6:28 AM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptMay 26 2016, 6:28 AM

That would only happen on a wiki not using RestBASE. Is this a WMF wiki?

That would only happen on a wiki not using RestBASE. Is this a WMF wiki?

The English Wikipedia :)

Oh - source section editing. I misread.

Elitre added a subscriber: Elitre.May 27 2016, 5:08 PM
Jdforrester-WMF triaged this task as Low priority.May 31 2016, 7:17 PM
Jdforrester-WMF set the point value for this task to 8.
Jdforrester-WMF moved this task from To Triage to TR1: Releases on the VisualEditor board.

It always displays "Discard my changes and switch", even without changes. Which means that you need two clicks to switch to visual editor.

Change 449642 had a related patch set uploaded (by Jforrester; owner: Bartosz Dziewoński):
[mediawiki/extensions/VisualEditor@master] ve.init.mw.ArticleTarget: Skip prompt when switching to VE from NWE section editing if unchanged

https://gerrit.wikimedia.org/r/449642

Change 449642 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] ve.init.mw.ArticleTarget: Skip prompt when switching to VE from NWE section editing if unchanged

https://gerrit.wikimedia.org/r/449642

Deskana closed this task as Resolved.Aug 16 2018, 1:39 PM
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptAug 16 2018, 1:39 PM